SiteInfo (CMDB Model API)
Keywords: com.collation.platform.model.topology.admin.SiteInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.admin
Interface SiteInfo

All Superinterfaces:
  ConfigurationItem, Geography, ManagedElement, ManagedSystemElement, ModelObject, PhysicalElement, PhysicalLocation, Position, java.io.Serializable

All Known Subinterfaces:
  Room, Zone

    public interface SiteInfo

extends Geography, ConfigurationItem

represents a specific position pertaining to a given region, such as a collection of buildings (Industrial Park Site). Site can also represent a single building or other geographic locations. Sites as a physical presence are not as large as instances of Geography. There is no rule as to the required physical size of a location to be considered a instance of Site, however instances of site represent locations that are not disperse.

Naming Rules:
  2="geographyForSite,siteName,-siteNumber" 3="geographyForSite,siteName,siteNumber" 0="siteName,-siteNumber" 1="siteName,siteNumber" 4="name"
Persistable:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCity()`
`SiteInfo` | `getContainerSiteForSite()`
`SiteInfo[]` | `getContainingSiteForSite()`
`java.lang.String` | `getFloor()`
`Geography` | `getGeographyForSite()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNote()`
`java.lang.String` | `getPostalCode()`
`java.lang.String` | `getRoom()`
`java.lang.String` | `getSiteName()` Description: The name of the geographical site, as it is recognized by this company.
`java.lang.String` | `getSiteNumber()` Description: Represents the number of the particular site, where the identity of a site requires more than a name.
`java.lang.String` | `getStateOrProvince()`
`java.lang.String` | `getStreetAddress()`
`boolean` | `hasCity()`
`boolean` | `hasContainerSiteForSite()`
`boolean` | `hasContainingSiteForSite()`
`boolean` | `hasFloor()`
`boolean` | `hasGeographyForSite()`
`boolean` | `hasName()`
`boolean` | `hasNote()`
`boolean` | `hasPostalCode()`
`boolean` | `hasRoom()`
`boolean` | `hasSiteName()`
`boolean` | `hasSiteNumber()`
`boolean` | `hasStateOrProvince()`
`boolean` | `hasStreetAddress()`
`void` | `setCity(java.lang.String x)`
`void` | `setContainerSiteForSite(SiteInfo x)`
`void` | `setContainingSiteForSite(SiteInfo[] x)`
`void` | `setFloor(java.lang.String x)`
`void` | `setGeographyForSite(Geography x)`
`void` | `setName(java.lang.String x)`
`void` | `setNote(java.lang.String x)`
`void` | `setPostalCode(java.lang.String x)`
`void` | `setRoom(java.lang.String x)`
`void` | `setSiteName(java.lang.String x)`
`void` | `setSiteNumber(java.lang.String x)`
`void` | `setStateOrProvince(java.lang.String x)`
`void` | `setStreetAddress(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.phys.Geography
`getCountry, getRegionName, getRegionNumber, getSiteGeography, hasCountry, hasRegionName, hasRegionNumber, hasSiteGeography, setCountry, setRegionName, setRegionNumber, setSiteGeography`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.phys.Position
`getAisle, getAltitude, getRackPosition, getRow, getXCoordinate, getYCoordinate, hasAisle, hasAltitude, hasRackPosition, hasRow, hasXCoordinate, hasYCoordinate, setAisle, setAltitude, setRackPosition, setRow, setXCoordinate, setYCoordinate`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getContainingSiteForSite

    SiteInfo[] getContainingSiteForSite()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setContainingSiteForSite

    void setContainingSiteForSite(SiteInfo[] x)

### hasContainingSiteForSite

    boolean hasContainingSiteForSite()

### getGeographyForSite

    Geography getGeographyForSite()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setGeographyForSite

    void setGeographyForSite(Geography x)

### hasGeographyForSite

    boolean hasGeographyForSite()

### getContainerSiteForSite

    SiteInfo getContainerSiteForSite()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setContainerSiteForSite

    void setContainerSiteForSite(SiteInfo x)

### hasContainerSiteForSite

    boolean hasContainerSiteForSite()

### getStreetAddress

    java.lang.String getStreetAddress()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStreetAddress

    void setStreetAddress(java.lang.String x)

### hasStreetAddress

    boolean hasStreetAddress()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getSiteName

    java.lang.String getSiteName()
                                 throws AttributeNotSetException

  Description: The name of the geographical site, as it is recognized by this company. Sites can be bounded by country borders, by geographical components of a individual country or state/province, by a city or town, or simply by a collection of buildings. Standard Content Origin / Best Practice Content: Provide the name of the site for the resource instance. The content of this attribute should match to a obtainable site. Follow the best practices for the organization implementing this attribute. Example: Raleigh Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setSiteName

    void setSiteName(java.lang.String x)

### hasSiteName

    boolean hasSiteName()

### getFloor

    java.lang.String getFloor()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFloor

    void setFloor(java.lang.String x)

### hasFloor

    boolean hasFloor()

### getCity

    java.lang.String getCity()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCity

    void setCity(java.lang.String x)

### hasCity

    boolean hasCity()

### getPostalCode

    java.lang.String getPostalCode()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPostalCode

    void setPostalCode(java.lang.String x)

### hasPostalCode

    boolean hasPostalCode()

### getStateOrProvince

    java.lang.String getStateOrProvince()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateOrProvince

    void setStateOrProvince(java.lang.String x)

### hasStateOrProvince

    boolean hasStateOrProvince()

### getSiteNumber

    java.lang.String getSiteNumber()
                                   throws AttributeNotSetException

  Description: Represents the number of the particular site, where the identity of a site requires more than a name. Standard Content Origin / Best Practice Content: To be used when there is additional need to qualify the identity of the site, where the name of the site is not unique within the environment. The content of this attribute should match to a valid site number for the organization. Example: 008 Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setSiteNumber

    void setSiteNumber(java.lang.String x)

### hasSiteNumber

    boolean hasSiteNumber()

### getRoom

    java.lang.String getRoom()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRoom

    void setRoom(java.lang.String x)

### hasRoom

    boolean hasRoom()

### getNote

    java.lang.String getNote()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNote

    void setNote(java.lang.String x)

### hasNote

    boolean hasNote()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD